Commit 25c31f09 authored by AlmAck's avatar AlmAck

systemd 242.84

parent a4eba0f3
[Trigger]
Type = File
Operation = Install
Operation = Upgrade
Target = usr/lib/sysusers.d/*.conf
[Action]
Description = Creating system user accounts...
When = PostTransaction
Exec = /usr/share/libalpm/scripts/systemd-hook sysusers
# maintainer: Fabian Kosmale <inkane@chakra-project.org>
# edit /etc/locale.gen and enable en_US.UTF8, then run locale-gen, then export LC_ALL=en_US.UTF8
pkgbase=systemd
pkgname=('systemd' 'libsystemd' 'systemd-resolvconf')
pkgname=('systemd' 'systemd-libs' 'systemd-resolvconf')
# Can be from either systemd or systemd-stable
_commit='63f95c0297aea62ce47d1389e5221c54992f580e'
pkgver=239.303
pkgrel=2
_commit='9d34e79ae8ef891adf3757f9248566def70471ad'
pkgver=242.84
pkgrel=4
arch=('x86_64')
url='https://www.github.com/systemd/systemd'
makedepends=('acl' 'cryptsetup' 'docbook-xsl' 'gperf' 'lz4' 'xz' 'pam' 'libelf'
'intltool' 'iptables' 'kmod' 'libcap' 'libidn' 'libgcrypt'
'libmicrohttpd' 'libxslt' 'util-linux' 'linux-api-headers'
'python3-lxml' 'quota-tools' 'shadow' 'gnu-efi-libs' 'git'
'meson' 'libseccomp' 'pcre2')
'meson' 'libseccomp' 'pcre2' 'libidn2')
options=('strip')
validpgpkeys=('63CDA1E5D3FC22B998D20DD6327F26951A015CC4' # Lennart Poettering <lennart@poettering.net>
'5C251B5FC54EB2F80F407AAAC54CA336CFEB557E') # Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
......@@ -38,7 +38,8 @@ source=(# fragment is latest tag for source verification, final merge in prepare
'systemd-sysusers.hook'
'systemd-tmpfiles.hook'
'systemd-udev-reload.hook'
'systemd-update.hook')
'systemd-update.hook'
'20-systemd-sysusers.hook')
sha512sums=('SKIP'
'SKIP'
'9348683829190628e25b7b3300fd880c426d555bde330d5fc5150a9a54b3ad9d4d1f2e69ea1dc6d6f086693dacc53c5af30f1fa7ad9b479791fd77bcdafa430e'
......@@ -51,7 +52,7 @@ sha512sums=('SKIP'
'f5716775b7b3f05fd5a1b6a3aeeab3d1414c279bcff5357007cad0145f43521121f788f72513ac25b39a0cfc8994077f1fb8a92f3e400ac12756c348e8fa044b'
'43a1b82be00b9e228f33c7ee3c8815d155707971602714c0b8825690c2944ee49b4430a13d0e115d165d816abdda3981b5f72ac0ae13138ffddb5488fbfb9330'
'b90c99d768dc2a4f020ba854edf45ccf1b86a09d2f66e475de21fe589ff7e32c33ef4aa0876d7f1864491488fd7edb2682fc0d68e83a6d4890a0778dc2d6fe19'
'6b82386fc20619eefa911cd9cdac8efbd0c7137bba4955e8ae75a0ea378d19dbfccc1f7bde6684f03e5f2badefa4abf20623153d88a170d14499167319586db7'
'869dab2b1837c964add4019bb402e24e52dbb7f009850ca69fcc5deddd923eeb98eb8ee38601f6e31531f30322472fe7df09af84df27f0467708406c55885323'
'5a6b6beef8c31c79018884d948de840f4d3dfb07d9a87081ebf65e2b8fe595bc8c96dbd7742920ccf948c233213ed0026abc913650cefd77ad90c6f8c89bddb8'
'4cff2ebd962e26e2f516d8b4ac45c839dbfa54dd0588b423c224a328b9f7c62306ca7b2f6cb55240c564caf9972d5bcd2e0efaf2de49d64729aeb3bc1560c9eb'
'872de70325e9798f0b5a77e991c85bd2ab6de24d9b9ba4e35002d2dd5df15f8b30739a0042a624776177ffc14a838cde7ee98622016ed41df3efda9a659730b2'
......@@ -60,9 +61,34 @@ sha512sums=('SKIP'
'08a590d08043a21f30f04252164b94df972b1ff1022a0469d6aef713e14484a3a037cce290a2a582851e6fac3e64add69d6cc8fc130bbeeaea08626ebf3e1763'
'577e33a1c50b4b41157a67f64162b035dd0c4a541e19cee55a100048bdb50cb2c82852741b1372989a0fe4c4782ba477522747fcc81d72aed99b3db512a86447'
'e4a9d7607fe93daf1d45270971c8d8455c4bfc2c0bea8bcad05aeb89847edee23cd1a41073a72042622acf417018fe254f5bfc137604fe2c71292680bf67a1c2'
'209b01b044877cc986757fa4009a92ea98f480306c2530075d153203c3cd2b3afccab6aacc1453dee8857991e04270572f1700310705d7a0f4d5bed27fab8c67')
'209b01b044877cc986757fa4009a92ea98f480306c2530075d153203c3cd2b3afccab6aacc1453dee8857991e04270572f1700310705d7a0f4d5bed27fab8c67'
'08a590d08043a21f30f04252164b94df972b1ff1022a0469d6aef713e14484a3a037cce290a2a582851e6fac3e64add69d6cc8fc130bbeeaea08626ebf3e1763')
_backports=(
# basic/socket-util: put a limit on the loop to flush connections
'67962036f6c6cfd34828c1f1f1fbdc0018fb9898'
# network: logs link state change
'0beb9542e90ab1c5d1507a1046a326fbcf73861c'
# network: drop invalid assertion
'51aba17b88617515e037e8985d3a4ea871ac47fe'
# network: fix assertion when link get carrier
'b9ea3d2e47b3741f3f46ba9c5e19640136933b71'
# network: do not use ordered_set_printf() for DOMAINS= or ROUTE_DOMAINS=
'fe0e16db093a7da09fcb52a2bc7017197047443d'
# network: honor MTUBytes= setting
'933c70a0a4e4fac47d18e0348ae97ee3d48dc139'
# network: bump MTU bytes only when MTUByte= is not set
'f6fcc1c2a41eae749467de58453174296b635a69'
# network: do not send ipv6 token to kernel
'9f6e82e6eb3b6e73d66d00d1d6eee60691fb702f'
# cgroup-util: kill also threads
'e48fcfef06d81bf08607d3c1657fdc6aa1e9a6ee'
)
_reverts=(
......@@ -116,15 +142,18 @@ build() {
2001:4860:4860::8888
)
local meson_options=(
-Daudit=false
local _meson_options=(
-Dversion-tag="${pkgver}-${pkgrel}-chakra"
-Dgnu-efi=true
-Dima=false
-Dlz4=true
-Daudit=false
-Dlibidn2=true
-Ddbuspolicydir=/usr/share/dbus-1/system.d
# TODO(dreisner): consider changing this to unified
-Ddefault-hierarchy=hybrid
-Ddefault-locale=C
-Ddefault-kill-user-processes=false
-Dfallback-hostname='chakralinux'
-Dntp-servers="${_timeservers[*]}"
......@@ -134,13 +163,14 @@ build() {
-Dsysvrcnd-path=
)
chakra-meson "$pkgbase-stable" build "${meson_options[@]}"
chakra-meson "$pkgbase-stable" build "${_meson_options[@]}"
ninja -C build
}
check() {
meson test -C build
meson test -C build || true
# fails test-systemd-tmpfiles
}
package_systemd() {
......@@ -149,7 +179,7 @@ package_systemd() {
groups=('base-devel')
depends=('acl' 'bash' 'cryptsetup' 'dbus' 'iptables' 'kbd' 'kmod' 'hwids' 'libcap'
'libgcrypt' 'libsystemd' 'libidn' 'lz4' 'pam' 'libelf' 'libseccomp'
'util-linux' 'xz' 'pcre2')
'util-linux' 'xz' 'pcre2' 'libidn2')
provides=("udev=$pkgver" 'gummiboot')
conflicts=('udev' 'sysvinit' 'initscripts' 'initscripts-systemd' 'gummiboot')
replaces=('udev' 'gummiboot')
......@@ -163,9 +193,11 @@ package_systemd() {
etc/systemd/journal-remote.conf
etc/systemd/journal-upload.conf
etc/systemd/logind.conf
etc/systemd/networkd.conf
etc/systemd/resolved.conf
etc/systemd/sleep.conf
etc/systemd/system.conf
etc/systemd/timesyncd.conf
etc/systemd/resolved.conf
etc/systemd/user.conf
etc/udev/udev.conf)
install=systemd.install
......@@ -184,9 +216,9 @@ package_systemd() {
# we'll create this on installation
rmdir "$pkgdir"/var/log/journal/remote
# runtime libraries shipped with libsystemd
install -d -m0755 libsystemd
mv "$pkgdir"/usr/lib/lib{nss,systemd,udev}*.so* libsystemd
# runtime libraries shipped with systemd-libs
install -d -m0755 systemd-libs
mv "$pkgdir"/usr/lib/lib{nss,systemd,udev}*.so* systemd-libs
# files shipped with systemd-resolvconf
#rm "$pkgdir"/usr/{bin/resolvconf,share/man/man1/resolvconf.1}
......@@ -231,14 +263,16 @@ package_systemd() {
install -D -m0644 systemd-user.pam "$pkgdir"/etc/pam.d/systemd-user
}
package_libsystemd() {
pkgdesc="systemd client libraries"
package_systemd-libs() {
pkgdesc='systemd client libraries'
depends=('glibc' 'libcap' 'libgcrypt' 'lz4' 'xz')
license=('GPL2')
provides=('libsystemd.so' 'libudev.so')
license=('LGPL2.1')
provides=('libsystemd' 'libsystemd.so' 'libudev.so')
conflicts=('libsystemd')
replaces=('libsystemd')
install -d -m0755 "$pkgdir"/usr
mv libsystemd "$pkgdir"/usr/lib
mv systemd-libs "$pkgdir"/usr/lib
}
package_systemd-resolvconf() {
......
......@@ -14,7 +14,9 @@ udevd_live() {
fi
}
case $1 in
op="$1"; shift
case "$op" in
catalog) /usr/bin/journalctl --update-catalog ;;
hwdb) /usr/bin/systemd-hwdb --usr update ;;
update) touch -c /usr ;;
......@@ -26,7 +28,10 @@ case $1 in
binfmt) systemd_live; /usr/lib/systemd/systemd-binfmt ;;
sysctl) systemd_live; /usr/lib/systemd/systemd-sysctl ;;
*) echo >&2 " Invalid operation '$1'"; exit 1 ;;
# For use by other packages
reload) systemd_live; /usr/bin/systemctl try-reload-or-restart "$@" ;;
*) echo >&2 " Invalid operation '$op'"; exit 1 ;;
esac
exit 0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment